/* ----------------------------------------------
共通設定
----------------------------------------------- */

html {
  scroll-behavior: smooth;
}

html.is-no-smooth {
  scroll-behavior: auto;
}

body.is-locked {
  overflow: hidden;
}

img {
  width: 100%;
}

a {
  transition: 0.4s ease;
}
/* ----------------------------------------------
フォント
----------------------------------------------- */
body {
  color: #333;
  font-size: 16px;
  font-family: "Noto Sans JP", sans-serif;
  font-weight: 600;
  line-height: 1.8;
  letter-spacing: 0.05em;

  background-color: #fffde5;
}

:root {
  --font-en: "REM", sans-serif;
  --gradation: linear-gradient(#dc699c, #ed6d34);

  --yellow: #fff100;
  --orange: #fdd000;
  --navy: #004ea2;
  --pink: #e95383;
  --green: #338d27;
  --brown: #6e4900;

  --bg-cream: #fffde5;
  --border-gray: #ccc;
}

@media screen and (max-width: 767px) {
  body {
    font-size: 14px;
  }
}

/* ----------------------------------------------
PC・SPの切り替え
----------------------------------------------- */
@media screen and (min-width: 768px) {
  .-pc {
    display: block;
  }

  .-sp {
    display: none !important;
  }
}

@media screen and (max-width: 767px) {
  .-pc {
    display: none !important;
  }

  .-sp {
    display: block;
  }
}

/* ----------------------------------------------
レイアウト
----------------------------------------------- */

.l-container {
  width: 100%;
  max-width: 1040px;
  margin: 0 auto;
  padding-inline: 20px;

  position: relative;
}

.l-section {
  padding-block: 120px;
}

.l-block {
  margin-top: 100px;
}

.l-whiteBox {
  background-color: #fff;
  border-radius: 50px;
  padding: 40px;
}

@media screen and (max-width: 767px) {
  .l-section {
    padding-block: 80px;
  }

  .l-block {
    margin-top: 60px;
  }

  .l-whiteBox {
    padding: 20px;
    border-radius: 25px;
  }
}

/* ----------------------------------------------
背景
----------------------------------------------- */

.l-bg__onpu {
  background: url(../img/bg-onpu.png) #fffde5 repeat center / 250px auto;
}

.l-bg__star {
  background: url(../img/bg-star.png) #fffcc0 repeat center / 35px auto;
}

.l-bg__dot {
  background:
    url(../img/bg-dot.png) repeat center / 16px auto,
    linear-gradient(#ffe8e8, #ffeacc);
}

.l-bg__stripe {
  background: url(../img/bg-stripe.png) repeat center / 1000px auto;
}

@media screen and (max-width: 767px) {
  .l-bg__onpu {
    background-size: 150px;
  }

  .l-bg__star {
    background-size: 20px;
  }

  .l-bg__dot {
    background-size: 12px;
  }

  .l-bg__stripe {
    background-size: 800px;
  }
}

/* ----------------------------------------------
ヘッダー
----------------------------------------------- */
.c-header {
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  z-index: 999;
}

body.is-locked {
  overflow: hidden;
}

.c-header__topBtn {
  position: fixed;
  width: 120px;
  bottom: 16px;
  right: 16px;

  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
  z-index: 999;
}

.c-header__topBtn.is-show {
  opacity: 1;
  visibility: visible;
}

body.is-locked .c-header__topBtn {
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
}

.c-drawer {
  position: fixed;
  width: fit-content;

  max-width: 100%;
  max-height: 700px;
  height: 100dvh;
  overflow-y: auto;

  top: 0;
  right: 0;

  padding-top: 80px;
  padding-bottom: 40px;
  border-radius: 0 0 0px 50px;

  opacity: 0;
  visibility: hidden;
  transition:
    opacity 0.3s ease,
    visibility 0.3s ease;

  background-color: #fffef2;
}

.c-drawer.is-open {
  opacity: 1;
  visibility: visible;
}

.c-globalNav__heading {
  margin-bottom: 20px !important;
}

.c-globalNav__heading .c-heading__en {
  font-size: 2.5rem;
}

.c-globalNav__list {
  display: flex;
  flex-direction: column;
  gap: 20px;
  text-align: center;
}

.c-globalNav__item {
  width: 100%;
}

.c-globalNav__item .p-lineUp__link {
  min-height: 80px;
  height: 80px;
}

.c-globalNav__item .p-lineUp__link.-workshop img {
  height: 45px;
}

.c-globalNav__item .p-lineUp__link.-concert img,
.c-globalNav__item .p-lineUp__link.-fair img {
  height: 65px;
}

.c-globalNav__subList {
  margin-block: 20px;
  padding: 20px;
  border-block: 1px dotted #6e490050;

  display: flex;
  gap: 20px;
  justify-content: center;
}

.c-globalNav__subItem {
  font-family: var(--font-en);
  font-size: 1.25rem;
  line-height: 1;
  font-weight: 700;
  text-align: center;
  paint-order: stroke fill;
  color: var(--brown);
  -webkit-text-fill-color: 3px var(--brown);
  -webkit-text-stroke: 6px #fff;
}

.c-globalNav__subItem > span {
  display: block;

  font-weight: 800;
  font-size: 0.45rem;
  font-family: "Noto Sans JP", sans-serif;
}

.c-globalNav__imgList{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 16px;
  }


.c-globalNav__imgItem {
  max-width: 80px;
  transition: 0.4s ease;
}

.c-globalNav__imgItem:first-child {
  max-width: 100px;
}

.c-globalNav__imgItem p {
  margin-top: 0.25em;
  text-align: center;
  line-height: 1.2;
  font-size: 0.5rem;
  font-weight: 500;
}

@media screen and (min-width: 768px) {
  .c-globalNav__subItem:hover {
    transform: translateY(-5px);
  }

  .c-globalNav__imgItem:has(a):hover{
    opacity: 0.6;
  }
}

@media screen and (max-width: 767px) {
  .c-drawer {
    min-width: 70vw;
  }

  .c-header__topBtn {
    width: 80px;
  }

  .c-globalNav__heading {
    margin-bottom: 10px !important;
  }

  .c-globalNav__heading .c-heading__en {
    font-size: 2rem;
  }

  .c-globalNav__list {
    gap: 10px;
  }

  .c-globalNav__subList {
    gap: 10px;
    flex-direction: column;
    align-items: center;
  }

  .c-globalNav__subItem {
    font-size: 1rem;
  }
}

/* ----------------------------------------------
ハンバーガーボタン
----------------------------------------------- */

.c-toggle {
  position: absolute;
  display: block;
  width: 60px;
  height: 60px;

  border-radius: 50px;
  background-image: var(--gradation);
  border: 2px solid #fff;

  top: 16px;
  right: 16px;
}


.c-toggle__icon {
  position: absolute;
  display: block;
  height: 2px;
  width: 20px;

  transform: translate(-50%, -50%);
  left: 50%;
  top: 50%;

  background: #fff;
  transition: ease 0.4s;
}

.c-toggle__icon:nth-child(1) {
  top: calc(50% + 8px);
}

.c-toggle__icon:nth-child(3) {
  top: calc(50% - 8px);
}

.c-toggle.is-active .c-toggle__icon:nth-child(1) {
  top: 50%;
  left: 50%;
  transform: translateX(-50%) rotate(45deg);
}

.c-toggle.is-active .c-toggle__icon:nth-child(2) {
  opacity: 0;
}

.c-toggle.is-active .c-toggle__icon:nth-child(3) {
  top: 50%;
  left: 50%;
  transform: translateX(-50%) rotate(-45deg);
}

@media screen and (max-width: 767px) {
  .c-toggle {
    position: absolute;
    display: block;
    width: 48px;
    height: 48px;
  }
}

/* ----------------------------------------------
オーバーレイ
----------------------------------------------- */

.c-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;

  background: rgba(0, 0, 0, 0.5);
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;

  z-index: 20;
}

/* 表示 */
.c-overlay.is-open {
  opacity: 1;
  visibility: visible;
}

/* ----------------------------------------------
フッター
----------------------------------------------- */

.c-footerHost {
  background-color: #da7916;
  color: #fff;

  padding-block: 80px;
}

.c-footerHost__dl {
  display: flex;
  flex-direction: column;
  gap: 0.5em;
}

.c-footerHost__item {
  display: flex;
}

.c-footerHost__item a{
  text-decoration: underline;
}

.c-footerHost__item dt {
  min-width: 4.5em;
}

.c-footerHost__item dd {
  font-weight: 400;
}

.c-footerLogo {
  background-color: #fff;
  padding-block: 40px;
}

.c-footerLogo__imgList {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 40px;
}

.c-footerLogo__imgItem {
  max-width: 120px;
  transition: 0.4s ease;
}

.c-footerLogo__imgItem:first-child {
  max-width: 180px;
}

.c-footerLogo__imgItem p {
  margin-top: 0.25em;
  text-align: center;
  line-height: 1.2;
  font-size: 0.7rem;
  font-weight: 400;
}


@media screen and (min-width: 768px) {
  .c-footerHost__item a:hover {
   opacity: 0.6;
  }

  .c-footerLogo__imgItem:has(a):hover{
   opacity: 0.6;
  }
}


@media screen and (max-width: 767px) {
  .c-footerHost {
    font-size: 0.75rem;
    padding-block: 40px;
  }

  .c-footerLogo {
    padding-bottom: 80px;
  }

  .c-footerLogo__imgList {
    justify-content: center;
    gap: 20px;
  }

  .c-footerLogo__imgItem:first-child {
    max-width: 100px;
  }

  .c-footerLogo__imgItem {
    max-width: 80px;
  }

  .c-footerLogo__imgItem p {
    font-size: 0.5rem;
  }
}

/* ----------------------------------------------
ボタン
----------------------------------------------- */
.c-btn {
  display: flex;
  align-items: center;
  width: max-content;
  color: #fff;
  font-weight: 700;
  background-image: var(--gradation);
  padding: 0.5em 2.5em;
  box-shadow: 0 0 0 5px #fff;
  border-radius: 100px;
}

.c-btn--small {
  display: flex;
  align-items: center;
  font-size: 0.875em;
  width: max-content;
  color: #fff;
  font-weight: 700;
  background-image: var(--gradation);
  padding: 0.25em 1.25em;
  box-shadow: 0 0 0 5px #fff;
  border-radius: 100px;
}

.c-btn:has(i){
  padding-left: calc(2.5em + 1.25em) ;
} 

.c-btn--small:has(i){
  padding-left: calc(0.75em + 1.25em) ;
} 

.c-btn > i,
.c-btn--small > i{
  display: inline-block;
  width: 1.25em;
  height: 1.25em;
  margin-left: 0.25em;
}

.c-btn > i.-anchor,
.c-btn--small > i.-anchor{
  background: url(../img/icon-anchor.svg) no-repeat center / contain;
}

.c-btn > i.-arrow,
.c-btn--small > i.-arrow{
  background: url(../img/icon-arrow.svg) no-repeat center / contain;
}

.c-btn > i.-window,
.c-btn--small > i.-window{
  background: url(../img/icon-window.svg) no-repeat center / contain;
}

.c-btn > i.-plus,
.c-btn--small > i.-plus{
  background: url(../img/modal-icon.svg) no-repeat center / contain;
  margin-left: 0.5em;
}

.c-btnWrap--center {
  display: flex;
  justify-content: center;
  align-items: center;
}

.c-btn--flexWrap {
  display: flex;
  gap: 0.75em;
  flex-wrap: wrap;
  margin-top: 0.25em;
}

@media screen and (min-width: 768px) {
  .c-btn:hover,
  .c-btn--small:hover,
  .c-sns:hover {
    transform: translateY(-5px);
  }
}

/* ----------------------------------------------
見出し
----------------------------------------------- */
.c-heading {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  paint-order: stroke fill;
  margin-bottom: 40px;
  line-height: 1;

  color: var(--pink);
  -webkit-text-fill-color: 3px var(--pink);
}

.c-heading.-concert {
  color: var(--navy);
  -webkit-text-fill-color: 3px var(--pink);
}

.c-heading.-fair {
  color: var(--green);
  -webkit-text-fill-color: 3px var(--green);
}

.c-heading__en {
  font-family: var(--font-en);
  font-size: 3.75rem;
  font-weight: 700;
  -webkit-text-stroke: 6px #fff;
}

.c-heading__jp {
  font-weight: 900;
  -webkit-text-stroke: 4px #fff;
}

@media screen and (max-width: 767px) {
  .c-heading {
    margin-bottom: 20px;
  }

  .c-heading__en {
    font-size: 2.5rem;
  }
}

/* ----------------------------------------------
テキスト
----------------------------------------------- */

.c-text {
  line-height: 2;
}

/* ----------------------------------------------
モーダル
----------------------------------------------- */

.c-modal {
  position: fixed;
  inset: 0;
  z-index: 1000;

  opacity: 0;
  visibility: hidden;
  transition: all 0.4s ease;
}

.c-modal.is-open {
  opacity: 1;
  visibility: visible;
}

.c-modal__btn {
  position: relative;
  display: block;
  margin-inline: auto;

  color: #fff;
  font-size: 2rem;
  font-weight: 700;
  text-align: center;
  background-image: var(--gradation);

  width: 100%;
  max-width: 800px;
  min-height: 95px;

  padding: 0.625em 1.25em;
  padding-right: 5.5rem;
  box-shadow: 0 0 0 5px #fff;
  border-radius: 100px;

  transition: ease 0.4s;
  cursor: pointer;
}

.c-modal__btn::after {
  content: "";
  position: absolute;
  right: 2.5rem;
  top: 50%;
  width: 2.5rem;
  height: 2.5rem;
  background: url(../img/modal-icon.svg) no-repeat center / contain;
  transform: translateY(-50%);
  transition: transform 0.4s ease;
}

.c-modal__btn.is-disabled {
  background-image: none;
  background-color: #777;
  padding-right: 1.25em;
  pointer-events: none;
}

.c-modal__btn.is-disabled::after {
  display: none;
}

.c-modal__overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.6);
}

.c-modal__content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: min(85%, 600px);
}

.c-modal__inner {
  border-radius: 20px;
  background: #fff;
  padding: 40px;
  overflow-x: scroll;
  width: 100%;
  max-height: 80svh;
}

.c-modal__close {
  position: absolute;
  top: -1.25em;
  right: -1.25em;

  display: flex;
  justify-content: center;
  align-items: center;

  width: 2.5em;
  height: 2.5em;
  background-color: var(--pink);
  border-radius: 100px;

  color: #fff;
  font-size: 1.25em;

  cursor: pointer;
}

@media screen and (min-width: 768px) {
  .c-modal__btn:hover {
    transform: translateY(-5px);
  }
}

@media screen and (max-width: 767px) {
  .c-modal__inner {
    padding: 20px;
  }

  .c-modal__btn {
    font-size: 1rem;

    width: 100%;
    max-width: 800px;
    min-height: unset;

    padding: 0.625em 3.5rem;
    box-shadow: 0 0 0 5px #fff;
    border-radius: 100px;

    transition: ease 0.4s;
    cursor: pointer;
  }

  .c-modal__btn::after {
    right: 1.5rem;
    width: 1.5rem;
    height: 1.5rem;
  }
}

/* ----------------------------------------------
プロフィール モーダル
----------------------------------------------- */

.c-profile__modal > h4 {
  margin-top: 1em;
  margin-bottom: 0.25em;
}

.c-profile__modal > p {
  font-size: 0.875em;
  color: #555;
  font-weight: 500;
}

/* ----------------------------------------------
セクション
----------------------------------------------- */

.c-event__title {
  margin-inline: auto;
}

.c-event__title.-concert {
  max-width: 800px;
}

.c-event__title.-fair {
  max-width: 700px;
}

.c-event__tagList {
  display: flex;
  gap: 0.5em 1em;

  justify-content: center;
  align-items: center;

  margin-top: 40px;
}

.c-event__tag {
  font-size: 0.875em;
  font-weight: 700;
  text-align: center;
  padding: 0.5em 1.25em;
  border-radius: 100px;
  min-width: 190px;

  color: #fff;
  background-color: var(--brown);
  border: 1px solid var(--brown);
}

.c-event__tag.-white {
  color: var(--brown);
  background-color: #fff;
}

@media screen and (max-width: 767px) {
  .c-event__tagList {
    flex-direction: column;
    margin-top: 20px;
  }
}

/* ----------------------------------------------
表
----------------------------------------------- */

/* イベント
----------------------------------------------- */
.c-dl {
  display: flex;
  flex-direction: column;
  gap: 1.25rem;
}

.c-dl__item {
  display: flex;
  align-items: center;

  gap: 0.25em 0.75em;
}

.c-dl__item.-start {
  align-items: start;
}

.c-dl__item dt {
  font-weight: 700;
  line-height: 1.6;
  text-align: center;
  color: var(--pink);
  border: var(--pink) 2px solid;

  min-width: 100px;
  padding: 0.25rem 0.5rem;
  border-radius: 5px;
}

.c-dl__item dd > small {
  color: #555;
}

.c-dl__item a {
  color: var(--pink);
  text-decoration: underline;
}

@media screen and (min-width: 768px) {
  .c-dl__item a:hover {
    opacity: 0.6;
  }
}

@media screen and (max-width: 767px) {
  .c-dl {
    gap: 0.85rem;
  }

  .c-dl__item dt {
    line-height: 1.2;
    font-size: 0.75rem;
    min-width: 80px;
  }
}

/* チケット・申し込み
----------------------------------------------- */
.c-ticket-dl {
  display: flex;
  flex-direction: column;
  gap: 1em;
}

.c-ticket-dl__item dt {
  position: relative;
  padding-left: 1.5em;
}

.c-ticket-dl__item dt::before {
  content: "";
  position: absolute;
  width: 0.75em;
  height: 0.75em;
  top: 50%;
  left: 0.25em;
  transform: translateY(-50%);
  border-radius: 50px;
  background-color: var(--pink);
}

.c-ticket-dl__item dd {
  margin-left: 1.5em;
  font-weight: 500;
}

.c-ticket-dl__item dd strong.-big {
  font-size: 1.25rem;
}

.c-ticket-dl__item dd strong:not(.-big)::before{
  content: "-";
  color: var(--pink);
  padding-right: 0.25em;
}

.c-ticket-dl__item .c-btn--small {
  margin-top: 0.75em;
}

.c-ticket-dl__item dd div + div {
  margin-top: 0.75em;
}

.c-ticket-dl__item dd small {
  color: #555;
}

@media screen and (min-width: 768px) {
  .c-ticket-dl__item.-flex {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 0.75em;
  }

  .c-ticket-dl__item.-flex dd {
    margin-left: 0;
  }
}

@media screen and (max-width: 767px) {
  .c-ticket-dl__item dd {
    margin-left: 0;
  }

  .c-ticket-dl__item dd strong.-big {
    font-size: 1em;
  }
}


/* ----------------------------------------------
アコーディオン
----------------------------------------------- */

.c-accordion__btn{
  margin-inline:auto;
  cursor: pointer;
  margin-top: 40px;

  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;

  padding-block: 8px;
  background-color: var(--brown);
  box-shadow: 0 0 0 5px #fff;
  border-radius: 10px;
  color: #fff;
}

.c-accordion__btn:has(i){
  padding-left: 1.25em ;
} 


.c-accordion__btn > i{
  display: inline-block;
  width: 1.25em;
  height: 1.25em;
  margin-left: 0.25em;
}

.c-accordion__btn > i.-accordion{
  background: url(../img/icon-accordion.svg) no-repeat center / contain;
}

.c-accordion__content {
  height: 0;
  opacity: 0;
  overflow: hidden;
  transition: opacity 0.4s ease;
}

.c-accordion__item.is-open .c-accordion__content {
  opacity: 1;
  height: fit-content;
  margin-top: 20px;
}

.c-accordion__item.is-open .c-accordion__btn > i.-accordion{
  transform: rotate(180deg);
}

@media screen and (min-width: 768px) {
  .c-accordion__btn:hover {
   transform: none;
  }
}

@media screen and (max-width: 767px) {
  .c-accordion__btn{
  margin-top: 20px;
}
}